Page MenuHomePhabricator

Add an option to ignore file extension
Closed, ResolvedPublic

Description

When $wgCheckFileExtensions is set to false, UW still limits the allowed extensions to $wgFileExtensions:

This wiki does not accept filenames that end in the extension ".***".

The checks are preformed near line 444 of mw.UploadWizardUpload.js

Event Timeline

zhuyifei1999 raised the priority of this task from to Needs Triage.
zhuyifei1999 updated the task description. (Show Details)
zhuyifei1999 added a project: UploadWizard.
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 20 2015, 6:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Steinsplitter triaged this task as Normal priority.Jun 20 2015, 3:24 PM
Steinsplitter set Security to None.

@Steinsplitter: Did you set the priority because you plan to work on this or now somebody planning to work on this?

Aklapper lowered the priority of this task from Normal to Low.Jun 30 2015, 2:30 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 30 2015, 2:30 PM
Steinsplitter raised the priority of this task from Low to Needs Triage.Jun 30 2015, 2:34 PM

I'm marking this as "easy" because to me it sounds like about two lines of code. New coders, feel free to work on this bug at your leisure.

Steinsplitter, I don't think this affects any in-production wikis, and I'm not sure who in their right mind doesn't set that variable.

MarkTraceur triaged this task as Low priority.Jun 30 2015, 2:35 PM

This affects Commons Archive, where the file extension checks are hacked to be ignored.
I'll take this task for now and see if I can fix this.

That is not a production wiki.

That is not a production wiki.

Doesn't matter. We are developing MediaWiki and not WikimediaSoftare. @zhuyifei1999 thanks for picking this up.

Change 222085 had a related patch set uploaded (by Zhuyifei1999):
Added support to ignore file extension

https://gerrit.wikimedia.org/r/222085

Change 222085 merged by jenkins-bot:
Added support to ignore file extension

https://gerrit.wikimedia.org/r/222085

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:51 PM
matmarex closed this task as Resolved.Sep 9 2015, 6:08 PM
matmarex added a subscriber: matmarex.
Jdforrester-WMF moved this task from Backlog to Done on the Multimedia board.Sep 15 2015, 4:28 PM